package com.iamberry.wechat.core.entity.integral;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 会员积分等级规则实体类
 * Created by liuzhiwei on 2018/1/3.
 */
public class RankRule implements Serializable{

    private static final long serialVersionUID = 8723191167916100253L;

    private Integer rankRuleId;         //id
    private String rankRuleName;        //等级名称
    private String rankIco;             //图标
    private Integer rankRuleIntegral;   //需满足积分
    private Integer rankRuleStatus;     //状态  1:使用中;  2:未使用;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date rankRuleCreateTime;    //创建时间
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date rankRuleUpdateTime;    //更新时间

    public String getRankIco() {
        return rankIco;
    }

    public void setRankIco(String rankIco) {
        this.rankIco = rankIco;
    }

    public Integer getRankRuleId() {
        return rankRuleId;
    }

    public void setRankRuleId(Integer rankRuleId) {
        this.rankRuleId = rankRuleId;
    }

    public String getRankRuleName() {
        return rankRuleName;
    }

    public void setRankRuleName(String rankRuleName) {
        this.rankRuleName = rankRuleName;
    }

    public Integer getRankRuleIntegral() {
        return rankRuleIntegral;
    }

    public void setRankRuleIntegral(Integer rankRuleIntegral) {
        this.rankRuleIntegral = rankRuleIntegral;
    }

    public Integer getRankRuleStatus() {
        return rankRuleStatus;
    }

    public void setRankRuleStatus(Integer rankRuleStatus) {
        this.rankRuleStatus = rankRuleStatus;
    }

    public Date getRankRuleCreateTime() {
        return rankRuleCreateTime;
    }

    public void setRankRuleCreateTime(Date rankRuleCreateTime) {
        this.rankRuleCreateTime = rankRuleCreateTime;
    }

    public Date getRankRuleUpdateTime() {
        return rankRuleUpdateTime;
    }

    public void setRankRuleUpdateTime(Date rankRuleUpdateTime) {
        this.rankRuleUpdateTime = rankRuleUpdateTime;
    }

    @Override
    public String toString() {
        return "RankRule{" +
                "rankRuleId=" + rankRuleId +
                ", rankRuleName='" + rankRuleName + '\'' +
                ", rankRuleIntegral=" + rankRuleIntegral +
                ", rankRuleStatus=" + rankRuleStatus +
                ", rankRuleCreateTime=" + rankRuleCreateTime +
                ", rankRuleUpdateTime=" + rankRuleUpdateTime +
                '}';
    }
}
